<app-side-modal-content>
  <!-- title -->
  <app-side-modal-title>
    DEVICE DETAIL
  </app-side-modal-title>

  <!-- scrollable sections -->
  <app-custom-scrollbar class="app-content">
    <!-- fields -->
    <div class="app-fields">
      <!-- date -->
      <app-labeled-value label="name">
        {{ device.name }}
      </app-labeled-value>
    </div>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- edit -->
  <button *ngIf="editPermission$ | async" (click)="editClick.emit()" appFlatButton theme="secondary">
    Edit
  </button>

  <!-- close -->
  <button (click)="cancelClick.emit()" appInlineButton theme="secondary">
    Close
  </button>
</app-side-modal-footer>
